# This spec is backported to ALTLinux 4.1 automatically by rpmbph script. Do not edit it.
#
%define abiversion 0.8
%define tarversion 0.7
%define real goffice

Name: libgnomeoffice%{abiversion}
Version: 0.7.1
Release: alt0.M41.1
Url: ftp://ftp.gnome.org/pub/gnome/sources/%real/%abiversion/
Summary: Library for writing gnome office programs
License: GPL
Group: Graphical desktop/GNOME
Packager: Alexey Morsov <swi@altlinux.ru>
Source: %name-%version.tar
Patch: libgnomeoffice-alt-pcre.patch

Obsoletes: libgnomeoffice
Conflicts: libspreadsheet

# Automatically added by buildreq on Tue Nov 22 2005
BuildRequires: ORBit2-devel flex fontconfig-devel freetype2-devel gcc-c++ glib2-devel gnome-vfs2-devel libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libcairo-devel libg2c-devel libglade2-devel libglitz-devel libgnome-devel libgnome-keyring-devel libgnomecanvas-devel libgnomeprint2-devel libgnomeui-devel libgsf-devel libgsf-gnome-devel libgtk+2-devel libpng-devel libpopt-devel libstdc++-devel libxml2-devel perl-XML-Parser pkgconfig zlib-devel libpcre-devel 
BuildRequires: gtk-doc >= 1.9
BuildRequires: libgio-devel >= 2.16.0

BuildRequires: rpm-build-compat >= 0.95

%description
%name is a library that eases the task of writing gnome office
programs.

%package -n libgnomeoffice-devel
Summary: Development libraries and header files for %name
Group: Development/C
Requires: %name = %version-%release
Obsoletes: libgnomeoffice-devel <= 0.6.4-alt1

%description -n libgnomeoffice-devel
This package contains the header files and libraries needed to write and
compile programs that use %name.

%define _libexecdir %_libdir/%name

%prep
%setup -q
%patch -p1
intltoolize --force
%autoreconf

%build
%configure --with-gnome
	    
%make_build

%install
%makeinstall

%find_lang --with-gnome %real

%post
%post_ldconfig

%postun
%postun_ldconfig

%post -n libgnomeoffice-devel
%update_scrollkeeper

%postun -n libgnomeoffice-devel
%clean_scrollkeeper

%files -f %real.lang
%_libdir/*.so.*
%_libdir/goffice/
%exclude %{_libdir}/goffice/%version/plugins/*/*.la
%_datadir/goffice/
%_datadir/pixmaps/goffice/*
%doc AUTHORS ChangeLog

%files -n libgnomeoffice-devel
%_libdir/*.so
%_libdir/pkgconfig/*
%_includedir/libgoffice-%abiversion/
%_datadir/gtk-doc/html/%real-%abiversion
%_datadir/locale/*/LC_MESSAGES/%real-%version.mo

%changelog
* Wed Sep 17 2008 Yuri N. Sedunov <aris@altlinux.org> 0.7.1-alt0.M41.1
- backport to ALTLinux 4.1 (by rpmbph script)

* Wed Sep 10 2008 Alexey Morsov <swi@altlinux.org> 0.7.1-alt1
- new version (development)
- fix bug #16482 (remove abi version from devel package name)
- fix bug #16962

* Sat Jul 19 2008 Alexey Morsov <swi@altlinux.ru> 0.7.0-alt1
- new version (development)
  + abi version changed to 0.8
- clean spec
  + remove static

* Fri Jul 18 2008 Alexey Morsov <swi@altlinux.ru> 0.6.4-alt1
- new version
- pursue ChangeLog policy

* Sat Mar 15 2008 Alexey Morsov <swi@altlinux.ru> 0.6.2-alt1
- version 0.6.2

* Tue Jan 01 2008 Alexey Morsov <swi@altlinux.ru> 0.6.1-alt1
- version 0.6.1

* Thu Nov 08 2007 Alexey Morsov <swi@altlinux.ru> 0.5.2-alt1
- 0.5.2

* Fri Sep 14 2007 Alexey Morsov <swi@altlinux.ru> 0.5.0-alt1
- version 0.5.0
- so-name changed

* Tue Jul 31 2007 Alexey Morsov <swi@altlinux.ru> 0.4.2-alt1
- Avoid crash if libxml2 returns ERROR or NONE when guessing encoding.
- do not leak the mime type
- fixed signedness issue spotted with help of sparse
- needed for gnumeric 1.7.11


* Sat Jun 02 2007 Alexey Morsov <swi@altlinux.ru> 0.4.0-alt1
- new version for Gnumeric 1.7.10
- added new cubic spline support
- new convenience function
- fixes

* Wed Apr 25 2007 Alexey Morsov <swi@altlinux.ru> 0.3.8-alt1
- new version
- clean spec from cvs bounds (port to git)
- add docs for -devel

* Tue Mar 06 2007 Alexey Morsov <swi@altlinux.ru> 0.3.7-alt1
- new version (bug fixes)
- add libpcre-devel req (patch for pcre)

* Mon Feb 19 2007 Alexey Morsov <swi@altlinux.ru> 0.3.6-alt1
- new version (for gnumeric 1.7.7)

* Mon Dec 25 2006 Alexey Morsov <swi@altlinux.ru> 0.3.5-alt2
- fix spec (bug 10496)

* Tue Dec 19 2006 Alexey Morsov <swi@altlinux.ru> 0.3.5-alt1
- new version (for gnumeric 1.7.6)

* Tue Dec 05 2006 Alexey Morsov <swi@altlinux.ru> 0.3.4-alt1
- build new version (for gnumeric 1.7.5)

* Fri Mar 31 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.1.2-alt1.1
- Rebuild with libgsf-1.so.114 .

* Thu Nov 17 2005 Vital Khilko <vk@altlinux.ru> 0.1.2-alt1
- first release

